import matplotlib.pyplot as plt

# clustering
times = [[1000,0.9823,1.0420,0.9656],
[5000,7.8716,8.8916,8.2609],
[10000,24.7394,29.0521,24.3734],
[20000,86.0519,104.0453,85.4891],
[50000,489.4964,574.7641,468.8706]]

n = [t[0] for t in times]
finished = [t[1] for t in times]
dest = [t[2] for t in times]
price = [t[3] for t in times]
    # print(f"{t[0]}: {t[1]} {t[2]} {t[3]}")


fig, ax = plt.subplots()
ax.set_xlabel('Number of Nodes')
ax.set_ylabel('Time in Seconds')
ax.plot(n, dest, label='Destination')
ax.plot(n, finished, label='Finished Time')
ax.plot(n, price, label='Price')
ax.legend()

plt.show()